CocoaTweet::API::API Class Reference

Twitter API Entry Point. More...

`#include <api.h>`

## Public Member Functions

| API (CocoaTweet::OAuth::Key _key)
| primary constructor More...
Statuses::Status | status () const
| Getter for Grouped by Statuses/*. More...
Favorites::Favorite | favorite () const
| Getter for Grouped by Favorites/*. More...
Medias::Media | media () const
DirectMessages::DirectMessage | directMessage () const
const std::string & | generateBearerToken () const

## Detailed Description

Twitter API Entry Point.

## Constructor & Destructor Documentation

## API()

CocoaTweet::API::API::API | ( | CocoaTweet::OAuth::Key | _key | ) |

primary constructor

Parameters

  [in] | _key | Twitter API Key typed CocoaTweet::OAuth::Key

## Member Function Documentation

## directMessage()

DirectMessages::DirectMessage CocoaTweet::API::API::directMessage | ( |  | ) | const

## favorite()

Favorites::Favorite CocoaTweet::API::API::favorite | ( |  | ) | const

Getter for Grouped by Favorites/*.

Parameters

  [out] | Favorite | object typed CococaTweet::API::Favorites::Favorite

## generateBearerToken()

const std::string & CocoaTweet::API::API::generateBearerToken | ( |  | ) | const

## media()

Medias::Media CocoaTweet::API::API::media | ( |  | ) | const

## status()

Statuses::Status CocoaTweet::API::API::status | ( |  | ) | const

Getter for Grouped by Statuses/*.

Parameters

  [out] | Status | object typed CocoaTweet::API::Statuses::Status

The documentation for this class was generated from the following files:

- src/cocoatweet/api/api.h
- src/cocoatweet/api/api.cc